WordPress.org

Ready to get started?Download WordPress

Forums

Not able to install any plugins. (9 posts)

  1. chetan0412
    Member
    Posted 11 months ago #

    Hi,

    Recently i have updated my site with WP3.6

    but after updating i am not able to install any plugins.

    its shows error like.

    Fatal error: Call to undefined method Plugin_Upgrader::init() in /home/XXXXXX/public_html/wp-admin/includes/class-wp-upgrader.php on line 399

    any suggestion ?

  2. esmi
    Forum Moderator
    Posted 11 months ago #

    Try re-uploading all files & folders - except the wp-content folder - from a fresh download of WordPress. Make sure that you delete the old copies of files & folder before uploading the new ones.

  3. chetan0412
    Member
    Posted 11 months ago #

    Hi ,

    Thanks for prompt response.

    i one thing i forget to mention.

    i have installed better WP security and, renamed WP-CONTENT to another name.

    is it work?

  4. esmi
    Forum Moderator
    Posted 11 months ago #

  5. chetan0412
    Member
    Posted 11 months ago #

    Thsnks,

    But before updating WP3.6 it was working perfectly.

  6. ranchop
    Member
    Posted 11 months ago #

    eAccelerator and suPHP don't play nice together because of file permissions

    Disable eAccelerator ...rebuild Apache

    or try

    Adding this to .htaccess

    php_flag eaccelerator.enable 0
    php_flag eaccelerator.optimizer 0
  7. ericjthomas
    Member
    Posted 11 months ago #

    Boo! Just upgraded one of my sites to 3.6 (and i'm a ROOOOKIE when it comes to hosting)then tried to load Ultimate Construction Page plugin and got the fatal error.

    What the heck is eAccelerator and suPHP? Where do I find them in cPanel?

    Sorry to be such a noob, but, you know how it goes!

    E

  8. chetan0412
    Member
    Posted 11 months ago #

    Same here,

    ranchop, Can you guide from where we can find eAccelerator and suPHP?

  9. ericjthomas
    Member
    Posted 11 months ago #

    Even uninstalling complete WP from cPanel for the affected site and reinstalling 3.5 didn't work. Hm.

Reply

You must log in to post.

About this Topic

Tags

No tags yet.